Errors building matplotlib on RHEL5

I'm trying to install matplotlib on a RHEL5 system, and I'm getting errors in src/ft2font.h and ft2font.cpp.

An error log from the build command is attached.

I would use an RPM for this platform if I were sure that it would be installed in /usr/local/lib... Is there a way to control where RPM's get installed?

--Mike

build.err (2.64 KB)

···

--
------------------------------------------------------
Michael Hearne
mhearne@...924...
(303) 273-8620
USGS National Earthquake Information Center
1711 Illinois St. Golden CO 80401
Senior Software Engineer
Synergetics, Inc.
------------------------------------------------------

Make sure you have pkg-config and freetype2-devel installed (don't
know the exact rpm name, could also be freetype-devel). You error
message suggests either you don't have the development headers for
freetype installed, and/or pkg-config cannot find them.

Take a look at the "compiling" and "RPMS" sections of
http://matplotlib.sourceforge.net/installing.html. They are a bit out
of date, but they do cover the problem you are having.

JDH

···

On Wed, Jun 25, 2008 at 5:01 PM, Michael Hearne <mhearne@...924...> wrote:

I'm trying to install matplotlib on a RHEL5 system, and I'm getting errors
in src/ft2font.h and ft2font.cpp.

An error log from the build command is attached.

I would use an RPM for this platform if I were sure that it would be
installed in /usr/local/lib... Is there a way to control where RPM's get
installed?